
Foreman - Feature #35448

Tracker # 32684 (Closed): Ruby 3.0 support

Update roadie-rails to version 3 for Ruby 3 support

08/29/2022 10:27 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9389,

https://github.com/theforeman/foreman-p

ackaging/pull/8423,

https://github.com/theforeman/foreman-p

ackaging/pull/8534

  

Description

Currently we're using version 2.x while we need version 3 for formal Ruby 3 support.

Associated revisions

Revision dea42312 - 09/26/2022 11:08 AM - Ewoud Kohl van Wijngaarden

Refs #35448 - Update rubygem-roadie to 5.0.1

Revision 036b670b - 09/26/2022 11:08 AM - Ewoud Kohl van Wijngaarden

Refs #35448 - Update rubygem-roadie-rails to 3.0.0

Revision 507d0423 - 09/26/2022 11:08 AM - Ewoud Kohl van Wijngaarden

Fixes #35448 - Update roadie-rails to 3.x

This has formal Ruby 3 support, even though there are no code

differences. It's a major version because it drops Ruby < 2.6.

Revision 19feeda8 - 09/26/2022 02:23 PM - Ewoud Kohl van Wijngaarden

Refs #35448 - Update foreman's roadie-rails dependency

History

#1 - 08/29/2022 10:39 AM - Ewoud Kohl van Wijngaarden

- Description updated

#2 - 08/29/2022 10:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9389 added

#3 - 08/29/2022 11:14 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/8423 added

#4 - 09/26/2022 11:08 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#5 - 09/26/2022 12:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|507d04237e0ede3f0543f5ff406c0d67c2c4c9c2.

#6 - 09/26/2022 02:09 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/8534 added

#7 - 11/28/2022 12:27 PM - Ewoud Kohl van Wijngaarden

- Category changed from E-Mail to Packaging

- Triaged changed from No to Yes
